Theme details
Returns the active theme for a shop, including all templates and static assets.
Requires admin scope.
GET
/shops/{shop_id}/themeAuthorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
shop_idstringrequiredShop ID or subdomain
Responses
200Theme resource
idstringtitlestringproductionbooleansettingsobjectupdated_onstring<date-time>_linksobject_embeddedobjectShow propertiesHide properties
templatesTemplate[]Show propertiesHide properties
Array of
Templateidstringfile_namestringnamestringcontent_typestringAllowed:
htmlcssjsbodystringupdated_onstring<date-time>_linksobjectassetsThemeAsset[]Show propertiesHide properties
Array of
ThemeAssetidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringupdated_onstring<date-time>_linksobjectShow propertiesHide properties
fileHalLinkShow propertiesHide properties
hrefstringmethodstringtitlestringtypestringtemplatedbooleanRequest
curl -X GET "https://api.onbolder.com/v1/shops/string/theme" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/shops/string/theme", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v1/shops/string/theme",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"title": "string",
"production": true,
"settings": {},
"updated_on": "2019-08-24T14:15:22Z",
"_links": {},
"_embedded": {
"templates": [
{
"id": "string",
"file_name": "string",
"name": "string",
"content_type": "html",
"body": "string",
"updated_on": "2019-08-24T14:15:22Z",
"_links": {}
}
],
"assets": [
{
"id": "string",
"file_name": "string",
"content_type": "string",
"file_size": 0,
"digest": "string",
"updated_on": "2019-08-24T14:15:22Z",
"_links": {
"file": {
"href": "string",
"method": "string",
"title": "string",
"type": "string",
"templated": true
}
}
}
]
}
}